# Class PaymentSentMessage

#### Hierarchy

- unknown
  - PaymentSentMessage

- Defined in src/protobuf/pb_pb.d.ts:1383
- Defined in src/protobuf/pb_pb.d.ts:1430

#####
Index

### Constructors

constructor

### Methods

clearSellerAccountAgeWitness
clearSenderNodeAddress
getBuyerSignature
getBuyerSignature_asB64
getBuyerSignature_asU8
getCounterCurrencyExtraData
getCounterCurrencyTxId
getPaymentAccountKey
getPaymentAccountKey_asB64
getPaymentAccountKey_asU8
getPayoutTxHex
getSellerAccountAgeWitness
getSenderNodeAddress
getTradeId
getUid
getUpdatedMultisigHex
hasSellerAccountAgeWitness
hasSenderNodeAddress
serializeBinary
setBuyerSignature
setCounterCurrencyExtraData
setCounterCurrencyTxId
setPaymentAccountKey
setPayoutTxHex
setSellerAccountAgeWitness
setSenderNodeAddress
setTradeId
setUid
setUpdatedMultisigHex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentSentMessage(): PaymentSentMessage

- #### Returns PaymentSentMessage

  Inherited from jspb.Message.constructor

## Methods

### clearSellerAccountAgeWitness

- clearSellerAccountAgeWitness(): PaymentSentMessage

- #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1415

### clearSenderNodeAddress

- clearSenderNodeAddress(): PaymentSentMessage

- #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1390

### getBuyerSignature

- getBuyerSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1417

### getBuyerSignature_asB64

- getBuyerSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1419

### getBuyerSignature_asU8

- getBuyerSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1418

### getCounterCurrencyExtraData

- getCounterCurrencyExtraData(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1398

### getCounterCurrencyTxId

- getCounterCurrencyTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1392

### getPaymentAccountKey

- getPaymentAccountKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1407

### getPaymentAccountKey_asB64

- getPaymentAccountKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1409

### getPaymentAccountKey_asU8

- getPaymentAccountKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1408

### getPayoutTxHex

- getPayoutTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1401

### getSellerAccountAgeWitness

- getSellerAccountAgeWitness(): undefined | AccountAgeWitness

- #### Returns undefined | AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:1412

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1387

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1384

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1395

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1404

### hasSellerAccountAgeWitness

- hasSellerAccountAgeWitness(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1414

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1389

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1422

### setBuyerSignature

- setBuyerSignature(value: string | Uint8Array): PaymentSentMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1420

### setCounterCurrencyExtraData

- setCounterCurrencyExtraData(value: string): PaymentSentMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1399

### setCounterCurrencyTxId

- setCounterCurrencyTxId(value: string): PaymentSentMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1393

### setPaymentAccountKey

- setPaymentAccountKey(value: string | Uint8Array): PaymentSentMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1410

### setPayoutTxHex

- setPayoutTxHex(value: string): PaymentSentMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1402

### setSellerAccountAgeWitness

- setSellerAccountAgeWitness(value?: AccountAgeWitness): PaymentSentMessage

- #### Parameters

  - ##### `Optional` value: AccountAgeWitness

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1413

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): PaymentSentMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1388

### setTradeId

- setTradeId(value: string): PaymentSentMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1385

### setUid

- setUid(value: string): PaymentSentMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1396

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): PaymentSentMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1405

### toObject

- toObject(includeInstance?: boolean): PaymentSentMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentSentMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1423

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentSentMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1426

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentSentMessage, reader: BinaryReader): PaymentSentMessage

- #### Parameters

  - ##### message: PaymentSentMessage

  - ##### reader: BinaryReader

  #### Returns PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1427

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentSentMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentSentMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1425

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentSentMessage): PaymentSentMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentSentMessage

  #### Returns PaymentSentMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1424

Generated using TypeDoc